## k3b 1.68.0~alpha3

=== CMakeLists.txt ===
project(k3b)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)



##################  K3b version  ################################
set(K3B_VERSION_MAJOR 1)
set(K3B_VERSION_MINOR 68)
set(K3B_VERSION_RELEASE 0)
set(K3B_VERSION_STRING "${K3B_VERSION_MAJOR}.${K3B_VERSION_MINOR}.${K3B_VERSION_RELEASE}")

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 6)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
if (NOT WIN32)
    option(K3B_BUILD_K3BSETUP "Build k3bsetup" ON)
endif(NOT WIN32)
option(K3B_DEBUG "K3b additional debugging support")
option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroLogFeature)

if(K3B_BUILD_K3BSETUP)
  set(POLKITQT_MIN_VERSION 0.9.2)
  macro_optional_find_package(PolkitQt)
  macro_log_feature(POLKITQT_FOUND "Polkit-Qt"
    "Needed for K3bSetup to acquire administrator privileges. Version >= 0.9.2 is required."
	"http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html"
	FALSE "" "")
endif(K3B_BUILD_K3BSETUP)

if(K3B_ENABLE_DVD_RIPPING)
  find_package(DvdRead)
  macro_log_feature( DVDREAD_FOUND "libDVDRead"
    "Libdvdread provides a simple foundation for reading DVD video disks."
    "http://www.dtek.chalmers.se/groups/dvd/downloads.shtml"
    FALSE "" "")
endif(K3B_ENABLE_DVD_RIPPING)

if(K3B_ENABLE_TAGLIB)
  find_package(Taglib)
  macro_log_feature( TAGLIB_FOUND "Taglib"
    "Read and write tags in audio files"
    "http://www.freshmeat.net/projects/taglib"
    FALSE "1.4.0" "")
endif(K3B_ENABLE_TAGLIB)

macro_optional_find_package(Samplerate)
macro_log_feature( SAMPLERATE_FOUND "Samplerate"
  "Audio sampling rate conversion."
  "http://www.mega-nerd.com/SRC/"
  TRUE "" "")

if(K3B_ENABLE_MUSICBRAINZ)
  find_package(MusicBrainz)
  macro_log_feature( MUSICBRAINZ_FOUND "Musicbrainz"
    "Provide information about the CD, about the artist or about related information"
    "http://musicbrainz.org/"
    FALSE "1.1" "") 
endif(K3B_ENABLE_MUSICBRAINZ)

find_package(Kcddb)
macro_log_feature( KCDDB_FOUND "KCddb"
  "KCddb is used to retrieve audio CD meta data from the internet." 
  "http://multimedia.kde.org" 
  TRUE "" "")

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
  find_package(FFmpeg)
  macro_log_feature( FFMPEG_FOUND "FFmpeg"
    "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
    "http://ffmpeg.org/"
    FALSE "" "")
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN)

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
  find_package(Flac)
  find_package(Flac++)
  macro_log_feature( FLAC_FOUND "Flac"
    "Needed for the Flac audio decoder plugin."
    "http://flac.sourceforge.net/"
    FALSE "" "")
  macro_log_feature( FLAC++_FOUND "Flac++"
    "Needed for the Flac audio decoder plugin."
    "http://flac.sourceforge.net/"
    FALSE "" "")
endif(K3B_BUILD_FLAC_DECODER_PLUGIN)

if(K3B_BUILD_MAD_DECODER_PLUGIN)
  find_package(Mad)
  macro_log_feature( MAD_FOUND "Mad mp3"
    "Needed for the mp3 audio decoder plugin."
    "http://www.underbit.com/products/mad/"
    FALSE "" "")
endif(K3B_BUILD_MAD_DECODER_PLUGIN)

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
  find_package(Muse)
  macro_log_feature( MUSE_FOUND "Muse"
    "Needed for the Musepack audio decoder plugin"
    "http://www.musepack.net/"
    FALSE "" "")
endif(K3B_BUILD_MUSE_DECODER_PLUGIN)

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
  find_package(Sndfile)
  macro_log_feature( SNDFILE_FOUND "Sndfile"
    "Needed for the libsndfile audio decoder plugin."
    "http://www.mega-nerd.com/libsndfile/"
    FALSE "" "")
endif(K3B_BUILD_SNDFILE_DECODER_PLUGIN)

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
  find_package(Lame)
  macro_log_feature( LAME_FOUND "Lame mp3 encoder"
    "Needed for the lame mpf encoder encoder plugin."
    "http://lame.sourceforge.net/"
    FALSE "" "")
endif(K3B_BUILD_LAME_ENCODER_PLUGIN)

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
  find_package(OggVorbis)
  macro_log_feature( OGGVORBIS_FOUND "Ogg Vorbis"
    "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
    "http://www.vorbis.com/"
    FALSE "" "")
endif(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)


if (WIN32)
find_library(SAMPLERATE_LIBRARIES samplerate-0)
endif(WIN32)

##################  K3b build settings #################################
include(ConfigureChecks.cmake)

if(K3B_BUILD_K3BSETUP AND POLKITQT_FOUND)
  set(BUILD_K3BSETUP 1)
endif(K3B_BUILD_K3BSETUP AND POLKITQT_FOUND)

macro_bool_to_01(ADD_K3B_DEBUG K3B_DEBUG)

if(K3B_ENABLE_DVD_RIPPING AND DVDREAD_FOUND)
  set(ENABLE_DVD_RIPPING 1)
endif(K3B_ENABLE_DVD_RIPPING AND DVDREAD_FOUND)

if(K3B_ENABLE_TAGLIB AND TAGLIB_FOUND)
  set(ENABLE_TAGLIB 1)
endif(K3B_ENABLE_TAGLIB AND TAGLIB_FOUND)

if(K3B_ENABLE_MUSICBRAINZ AND MUSICBRAINZ_FOUND)
  set(ENABLE_MUSICBRAINZ 1)
endif(K3B_ENABLE_MUSICBRAINZ AND MUSICBRAINZ_FOUND)

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN AND FFMPEG_FOUND)
  set(BUILD_FFMPEG_DECODER_PLUGIN 1)
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN AND FFMPEG_FOUND)

if(K3B_BUILD_FLAC_DECODER_PLUGIN AND FLAC_FOUND AND FLAC++_FOUND)
  set(BUILD_FLAC_DECODER_PLUGIN 1)
endif(K3B_BUILD_FLAC_DECODER_PLUGIN AND FLAC_FOUND AND FLAC++_FOUND)

if(K3B_BUILD_MAD_DECODER_PLUGIN AND MAD_FOUND)
  set(BUILD_MAD_DECODER_PLUGIN 1)
endif(K3B_BUILD_MAD_DECODER_PLUGIN AND MAD_FOUND)

if(K3B_BUILD_MUSE_DECODER_PLUGIN AND MUSE_FOUND)
  set(BUILD_MUSE_DECODER_PLUGIN 1)
endif(K3B_BUILD_MUSE_DECODER_PLUGIN AND MUSE_FOUND)

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN AND SNDFILE_FOUND)
  set(BUILD_SNDFILE_DECODER_PLUGIN 1)
endif(K3B_BUILD_SNDFILE_DECODER_PLUGIN AND SNDFILE_FOUND)

if(K3B_BUILD_LAME_ENCODER_PLUGIN AND LAME_FOUND)
  set(BUILD_LAME_ENCODER_PLUGIN 1)
endif(K3B_BUILD_LAME_ENCODER_PLUGIN AND LAME_FOUND)

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN AND OGGVORBIS_FOUND)
  set(BUILD_OGGVORBIS_DECODER_PLUGIN 1)
endif(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN AND OGGVORBIS_FOUND)

if(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN AND OGGVORBIS_FOUND)
  set(BUILD_OGGVORBIS_ENCODER_PLUGIN 1)
endif(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN AND OGGVORBIS_FOUND)

if(K3B_BUILD_WAVE_DECODER_PLUGIN)
  set(BUILD_WAVE_DECODER_PLUGIN 1)
endif(K3B_BUILD_WAVE_DECODER_PLUGIN)

if(K3B_BUILD_SOX_ENCODER_PLUGIN)
 set(BUILD_SOX_ENCODER_PLUGIN 1)
endif(K3B_BUILD_SOX_ENCODER_PLUGIN)

if(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)
 set(BUILD_EXTERNAL_ENCODER_PLUGIN 1)
endif(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)

if(NOT WIN32 AND NOT APPLE)
  set(ENABLE_HAL_SUPPORT 1)
endif(NOT WIN32 AND NOT APPLE)

configure_file (config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h )


##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${k3b_SOURCE_DIR}/Doxyfile.cmake ${k3b_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.trolltech.com/4.5/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND docs/html/installdox -l qt4.tag@${QTDOCS} docs/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(K3B_BUILD_API_DOCS)


##################  K3b build environment ################################

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

include_directories( 
  ${k3b_BINARY_DIR}
  ${k3b_SOURCE_DIR}/libk3bdevice
  ${k3b_SOURCE_DIR}/libk3b/core
  ${k3b_SOURCE_DIR}/libk3b/plugin
  ${k3b_SOURCE_DIR}/libk3b/tools
  ${k3b_SOURCE_DIR}/libk3b/tools/qprocess
  ${k3b_SOURCE_DIR}/libk3b/tools/qprocess/private
  ${k3b_SOURCE_DIR}/libk3b/projects
  ${k3b_SOURCE_DIR}/libk3b/projects/audiocd
  ${k3b_SOURCE_DIR}/libk3b/projects/datacd
  ${k3b_SOURCE_DIR}/libk3b/projects/videocd
  ${k3b_SOURCE_DIR}/libk3b/projects/mixedcd
  ${k3b_SOURCE_DIR}/libk3b/jobs
  ${k3b_SOURCE_DIR}/libk3b/videodvd
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
)

add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioslaves )
add_subdirectory( plugins )
if(BUILD_K3BSETUP)
   add_subdirectory(k3bsetup)
endif(BUILD_K3BSETUP)


##################  K3b config summary ################################
macro_display_feature_log()

=== k3bsetup/CMakeLists.txt ===
add_subdirectory(worker)

########### next target ###############

include_directories(
    ../libk3b/core/
    ${POLKITQT_INCLUDE_DIR} )

set(kcm_k3bsetup_PART_SRCS
    k3bsetup.cpp
    k3bsetupdevicesmodel.cpp
    k3bsetupprogramitem.cpp
    k3bsetupprogramsmodel.cpp )

kde4_add_ui_files(kcm_k3bsetup_PART_SRCS base_k3bsetup.ui )

kde4_add_plugin(kcm_k3bsetup ${kcm_k3bsetup_PART_SRCS})

target_link_libraries(kcm_k3bsetup ${KDE4_KDEUI_LIBS} ${POLKITQT_LIBRARIES} k3b k3bdevice )

install(TARGETS kcm_k3bsetup DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############
install( PROGRAMS  k3bsetup DESTINATION ${BIN_INSTALL_DIR} )
install( FILES  k3bsetup.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== libk3b/CMakeLists.txt ===
project(libk3b)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/core
  ${CMAKE_CURRENT_BINARY_DIR}/plugin
  ${CMAKE_CURRENT_BINARY_DIR}/tools
  ${CMAKE_CURRENT_BINARY_DIR}/projects
  ${CMAKE_CURRENT_BINARY_DIR}/jobs
  )

set(CMAKE_REQUIRED_LIBRARIES m)
CHECK_FUNCTION_EXISTS(lrint HAVE_LRINT)
CHECK_FUNCTION_EXISTS(lrintf HAVE_LRINTF)

configure_file(config-libk3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-libk3b.h )

add_subdirectory( core )
add_subdirectory( plugin )
add_subdirectory( tools )
add_subdirectory( projects )
add_subdirectory( jobs )

set(k3b_jobs_SRCS
  jobs/k3bdatatrackreader.cpp 
  jobs/k3breadcdreader.cpp 
  jobs/k3bcdcopyjob.cpp 
  jobs/k3bclonejob.cpp 
  jobs/k3baudiosessionreadingjob.cpp 
  jobs/k3bdvdcopyjob.cpp 
  jobs/k3baudiofileanalyzerjob.cpp
  jobs/k3baudiocuefilewritingjob.cpp 
  jobs/k3bbinimagewritingjob.cpp 
  jobs/k3biso9660imagewritingjob.cpp 
  jobs/k3bdvdformattingjob.cpp 
  jobs/k3bblankingjob.cpp 
  jobs/k3bclonetocreader.cpp 
  jobs/k3bverificationjob.cpp 
  jobs/k3bdvdbooktypejob.cpp
  jobs/k3bmetawriter.cpp
)

########### next target ###############
if(ENABLE_DVD_RIPPING)
  add_subdirectory(videodvd)
  set(k3b_jobs_SRCS
    ${k3b_jobs_SRCS}
    jobs/k3bvideodvdtitletranscodingjob.cpp
    jobs/k3bvideodvdtitledetectclippingjob.cpp
    )
endif(ENABLE_DVD_RIPPING)

set(k3b_core_SRCS 
  core/k3bcore.cpp 
  core/k3bglobals.cpp 
  core/k3bdefaultexternalprograms.cpp
  core/k3bexternalbinmanager.cpp 
  core/k3bversion.cpp 
  core/k3bjob.cpp 
  core/k3bthread.cpp 
  core/k3bthreadjob.cpp 
  core/k3bglobalsettings.cpp 
  core/k3bsimplejobhandler.cpp 
  core/k3bthreadjobcommunicationevent.cpp)


set(k3b_tools_SRCS
  tools/k3bwavefilewriter.cpp tools/k3bbusywidget.cpp tools/k3bdeviceselectiondialog.cpp 
  tools/k3bmd5job.cpp tools/k3btitlelabel.cpp
  tools/k3bstringutils.cpp tools/k3bdevicecombobox.cpp 
  tools/k3bstdguiitems.cpp tools/k3bvalidators.cpp tools/k3bthroughputestimator.cpp 
  tools/k3biso9660.cpp tools/k3bmultichoicedialog.cpp tools/k3bdevicehandler.cpp 
  tools/k3bcdparanoialib.cpp tools/k3blistview.cpp tools/k3bmsfedit.cpp 
  tools/k3bcdtextvalidator.cpp tools/k3bintvalidator.cpp tools/k3bexceptions.cpp 
  tools/k3bprogressdialog.cpp tools/k3bpushbutton.cpp 
  tools/k3blistviewitemanimator.cpp tools/k3bthreadwidget.cpp
  tools/k3bsignalwaiter.cpp tools/k3blibdvdcss.cpp tools/k3biso9660backend.cpp 
  tools/k3bchecksumpipe.cpp 
  tools/k3bintmapcombobox.cpp tools/k3bdirsizejob.cpp tools/k3brichtextlabel.cpp 
  tools/k3bactivepipe.cpp tools/k3bfilesplitter.cpp 
  tools/k3bfilesysteminfo.cpp
  tools/k3bdevicemodel.cpp
  tools/k3bmedium.cpp
  tools/k3bmediacache.cpp 
  tools/k3bcddb.cpp
  tools/k3bprocess.cpp 
  tools/qprocess/k3bqprocess.cpp
  tools/qprocess/k3bkprocess.cpp
  )
  
if(WIN32)
	list(APPEND k3b_tools_SRCS 
		tools/qprocess/k3bqprocess_win.cpp
		tools/qprocess/private/qwineventnotifier_p.cpp
		tools/qprocess/private/qfsfileengine_win.cpp
		tools/qprocess/private/qfsfileengine.cpp
		tools/qprocess/private/qfsfileengine_iterator.cpp
		tools/qprocess/private/qfsfileengine_iterator_win.cpp
)
else(WIN32)
  	list(APPEND k3b_tools_SRCS 
		tools/qprocess/k3bqprocess_unix.cpp
	)
endif(WIN32)
  
set(k3b_libisofs_SRCS tools/libisofs/isofs.cpp)

set(k3b_videodvd_SRCS 
  videodvd/k3bvideodvd.cpp
  videodvd/k3bvideodvdtime.cpp
  videodvd/k3bvideodvdvideostream.cpp)

set(k3b_plugin_SRCS
  plugin/k3bplugin.cpp 
  plugin/k3bpluginconfigwidget.cpp 
  plugin/k3bpluginmanager.cpp 
  plugin/k3baudiodecoder.cpp 
  plugin/k3baudioencoder.cpp 
  plugin/k3bprojectplugin.cpp
  )

set(k3b_project_SRCS
  projects/k3babstractwriter.cpp 
  projects/k3bgrowisofswriter.cpp 
  projects/k3bgrowisofshandler.cpp 
  projects/k3bdoc.cpp 
  projects/k3bcdrdaowriter.cpp 
  projects/k3bcdrecordwriter.cpp 
  projects/k3binffilewriter.cpp 
  projects/k3btocfilewriter.cpp 
  projects/k3bimagefilereader.cpp 
  projects/k3bcuefileparser.cpp )

set(k3b_project_audiocd_SRCS
  projects/audiocd/k3baudiojob.cpp 
  projects/audiocd/k3baudiotrack.cpp 
  projects/audiocd/k3baudiodoc.cpp 
  projects/audiocd/k3baudiofile.cpp 
  projects/audiocd/k3baudiozerodata.cpp 
  projects/audiocd/k3baudiodatasource.cpp 
  projects/audiocd/k3brawaudiodatasource.cpp 
  projects/audiocd/k3baudionormalizejob.cpp 
  projects/audiocd/k3baudiojobtempdata.cpp 
  projects/audiocd/k3baudioimager.cpp 
  projects/audiocd/k3baudiomaxspeedjob.cpp 
  projects/audiocd/k3baudiocdtracksource.cpp 
  projects/audiocd/k3baudiocdtrackdrag.cpp 
  projects/audiocd/k3baudiodatasourceiterator.cpp
  )

set(k3b_project_datacd
  projects/datacd/k3bdatajob.cpp 
  projects/datacd/k3bdatadoc.cpp 
  projects/datacd/k3bdataitem.cpp 
  projects/datacd/k3bdiritem.cpp 
  projects/datacd/k3bfileitem.cpp 
  projects/datacd/k3bisoimager.cpp 
  projects/datacd/k3bbootitem.cpp 
  projects/datacd/k3bisooptions.cpp 
  projects/datacd/k3bfilecompilationsizehandler.cpp 
  projects/datacd/k3bsessionimportitem.cpp 
  projects/datacd/k3bmkisofshandler.cpp 
  projects/datacd/k3bdatapreparationjob.cpp 
  projects/datacd/k3bmsinfofetcher.cpp 
  projects/datacd/k3bdatamultisessionparameterjob.cpp
  )

set(k3b_project_mixedcd
  projects/mixedcd/k3bmixeddoc.cpp
  projects/mixedcd/k3bmixedjob.cpp
  )

set(k3b_project_movixcd
  projects/movixcd/k3bmovixprogram.cpp 
  projects/movixcd/k3bmovixdoc.cpp 
  projects/movixcd/k3bmovixjob.cpp 
  projects/movixcd/k3bmovixfileitem.cpp 
  projects/movixcd/k3bmovixdocpreparer.cpp
  )

set(k3b_project_videocd
  projects/videocd/k3bvcddoc.cpp 
  projects/videocd/k3bvcdtrack.cpp 
  projects/videocd/k3bvcdjob.cpp 
  projects/videocd/k3bvcdoptions.cpp 
  projects/videocd/k3bvcdxmlview.cpp
  )

set(k3b_project_mpeg_info
  projects/videocd/mpeginfo/k3bmpeginfo.cpp
  )

set(k3b_project_videodvd
  projects/videodvd/k3bvideodvddoc.cpp 
  projects/videodvd/k3bvideodvdjob.cpp 
  projects/videodvd/k3bvideodvdimager.cpp
  )


set(k3b_LIB_SRCS 
  ${k3b_core_SRCS} 
  ${k3b_tools_SRCS} 
  ${k3b_plugin_SRCS}
  ${k3b_project_SRCS} 
  ${k3b_jobs_SRCS} 
  ${k3b_libisofs_SRCS}
  ${k3b_project_audiocd_SRCS} 
  ${k3b_project_datacd} 
  ${k3b_project_mixedcd}
  ${k3b_project_movixcd} 
  ${k3b_project_mpeg_info}
  ${k3b_project_videocd}
  ${k3b_project_videodvd}
  )

if (ENABLE_DVD_RIPPING)
  set(k3b_LIB_SRCS ${k3b_LIB_SRCS}
    ${k3b_videodvd_SRCS}
    )
endif (ENABLE_DVD_RIPPING)

kde4_add_library(k3b SHARED ${k3b_LIB_SRCS})

target_link_libraries(k3b
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KUTILS_LIBS}
  ${KDE4_SOLID_LIBS}
  ${KDE4_KDE3SUPPORT_LIBS}
  ${KDE4_KPTY_LIBS}
  ${KCDDB_LIBRARIES}
  ${SAMPLERATE_LIBRARIES}
  k3bdevice
)
if(NOT WIN32)
	target_link_libraries(k3b dl)
endif(NOT WIN32)
  
if(ENABLE_DVD_RIPPING)
  target_link_libraries(k3b ${DVDREAD_LIBRARIES})
endif(ENABLE_DVD_RIPPING)

set_target_properties(k3b PROPERTIES VERSION ${K3B_LIB_VERSION_MAJOR}.${K3B_LIB_VERSION_MINOR}.${K3B_LIB_VERSION_RELEASE} SOVERSION ${K3B_LIB_VERSION_MAJOR})
install(TARGETS k3b ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== libk3bdevice/CMakeLists.txt ===
project(libk3bdevice)

########### next target ###############

set(k3bdevice_LIB_SRCS 
   k3bdevice.cpp 
   k3bdevice_mmc.cpp 
   k3bscsicommand.cpp 
   k3btrack.cpp 
   k3btoc.cpp 
   k3bdevicemanager.cpp 
   k3bmsf.cpp 
   k3bdiskinfo.cpp 
   k3bdeviceglobals.cpp 
   k3bcrc.cpp 
   k3bcdtext.cpp )


if(ENABLE_HAL_SUPPORT)
  set(k3bdevice_LIB_SRCS 
    ${k3bdevice_LIB_SRCS}
    k3bhalconnection.cpp)
endif(ENABLE_HAL_SUPPORT)

kde4_add_library(k3bdevice SHARED ${k3bdevice_LIB_SRCS})

target_link_libraries(k3bdevice
  ${KDE4_KDECORE_LIBS}
  ${KDE4_SOLID_LIBS}
)

set_target_properties(k3bdevice PROPERTIES VERSION ${K3B_LIB_VERSION_MAJOR}.${K3B_LIB_VERSION_MINOR}.${K3B_LIB_VERSION_RELEASE} SOVERSION ${K3B_LIB_VERSION_MAJOR})
install(TARGETS k3bdevice ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES
  k3bdevicemanager.h
  k3bdevice.h
  k3btoc.h
  k3btrack.h
  k3bdeviceglobals.h
  k3bdiskinfo.h
  k3bcdtext.h
  k3bmsf.h
  k3bdevicetypes.h
  k3bdevice_export.h
  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )

=== src/CMakeLists.txt ===
project(k3b_src)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${libk3b_BINARY_DIR}
  ${libk3b_SOURCE_DIR}/core
  ${libk3b_SOURCE_DIR}/plugin
  ${libk3b_SOURCE_DIR}/tools
  ${libk3b_SOURCE_DIR}/projects
  ${libk3b_SOURCE_DIR}/projects/audiocd
  ${libk3b_SOURCE_DIR}/projects/datacd
  ${libk3b_SOURCE_DIR}/projects/videocd
  ${libk3b_SOURCE_DIR}/projects/mixedcd
  ${libk3b_SOURCE_DIR}/projects/movixcd/
  ${libk3b_SOURCE_DIR}/projects/videodvd/
  ${libk3b_SOURCE_DIR}/jobs
  ${libk3b_SOURCE_DIR}/videodvd
  ${libk3b_BINARY_DIR}/core
  ${libk3b_BINARY_DIR}/plugin
  ${libk3b_BINARY_DIR}/tools
  ${libk3b_BINARY_DIR}/projects
  ${libk3b_BINARY_DIR}/jobs
  ${CMAKE_CURRENT_SOURCE_DIR}/projects
  ${CMAKE_CURRENT_SOURCE_DIR}/projects/kostore/
  ${libk3b_SOURCE_DIR}/cddb
  )

add_subdirectory( option )
add_subdirectory( rip )
add_subdirectory( projects )
add_subdirectory( pics )
add_subdirectory( icons )
add_subdirectory( konqi )
add_subdirectory( sounds )


########### next target ###############

set(k3b_project_SRCS
  projects/k3baudioburndialog.cpp 
  projects/k3baudiocdtextwidget.cpp 
  projects/k3baudioeditorwidget.cpp 
  projects/k3baudiotrackdialog.cpp 
  projects/k3baudiotrackwidget.cpp 
  #projects/k3baudiotrackplayer.cpp 
  projects/k3baudiotracksplitdialog.cpp 
  projects/k3baudiotrackview.cpp 
  projects/k3baudioview.cpp 
  projects/k3baudioviewimpl.cpp 
  projects/k3baudioprojectmodel.cpp 
  projects/k3bmixedburndialog.cpp 
  projects/k3bmixedview.cpp 
  projects/k3bmixedprojectmodel.cpp
  projects/k3bdataadvancedimagesettingsdialog.cpp 
  projects/k3bdatadirtreeview.cpp 
  projects/k3bdatafileview.cpp 
  projects/k3bdataimagesettingswidget.cpp 
  projects/k3bdatapropertiesdialog.cpp 
  projects/k3bdataview.cpp 
  projects/k3bdataviewimpl.cpp 
  projects/k3bdatavolumedescdialog.cpp 
  projects/k3bdataburndialog.cpp 
  projects/k3bdataprojectmodel.cpp
  projects/k3bbootimagedialog.cpp 
  projects/k3bbootimageview.cpp 
  projects/k3bmovixburndialog.cpp 
  projects/k3bmovixoptionswidget.cpp 
  projects/k3bmovixview.cpp 
  projects/k3bmovixprojectmodel.cpp
  projects/k3bvideodvdburndialog.cpp 
  projects/k3bvideodvdview.cpp 
  projects/k3bvcdburndialog.cpp 
  projects/k3bvcdlistview.cpp 
  projects/k3bvcdlistviewitem.cpp 
  projects/k3bvcdtrackdialog.cpp 
  projects/k3bvcdview.cpp 
  projects/k3bvcdprojectmodel.cpp
  projects/k3bfillstatusdisplay.cpp 
  projects/k3bview.cpp 
  projects/k3bstandardview.cpp 
  projects/k3bdirproxymodel.cpp 
  projects/k3bprojectburndialog.cpp 
  projects/k3bprojectplugindialog.cpp 
  projects/k3bdatamultisessioncombobox.cpp 
  projects/k3bdataurladdingdialog.cpp 
  projects/k3baudiodatasourceeditwidget.cpp 
  projects/k3baudiotrackaddingdialog.cpp 
  projects/k3bencodingconverter.cpp 
  projects/k3bdatamultisessionimportdialog.cpp
  )

kde4_add_ui_files(k3b_project_SRCS
  projects/base_k3baudiocdtextwidget.ui
  projects/base_k3bbootimageview.ui
  projects/base_k3badvanceddataimagesettings.ui
  projects/base_k3baudiocdtextallfieldswidget.ui
  projects/base_k3bdataimagesettings.ui
  projects/base_k3bdatavolumedescwidget.ui
  projects/base_k3baudiotrackwidget.ui
  projects/base_k3bmovixoptionswidget.ui
  )

set(k3b_kostore_SRCS
  projects/kostore/KoStore.cpp
  projects/kostore/KoZipStore.cpp 
  projects/kostore/KoStoreBase.cpp
  )

set(k3b_rip_SRCS
  rip/k3baudioripjob.cpp
  rip/k3bpatternparser.cpp 
  rip/k3baudiorippingdialog.cpp 
  rip/k3baudiocdview.cpp 
  rip/k3bcddbpatternwidget.cpp 
  rip/k3bvideocdinfo.cpp 
  rip/k3bvideocdview.cpp 
  rip/k3bvideocdrip.cpp 
  rip/k3bvideocdrippingdialog.cpp 
  rip/k3bcuefilewriter.cpp 
  rip/k3baudioconvertingoptionwidget.cpp 
  rip/k3baudioprojectconvertingdialog.cpp 
  rip/k3baudioprojectconvertingjob.cpp 
  rip/categories.cpp
  rip/k3baudiotrackmodel.cpp
  rip/k3bviewcolumnadjuster.cpp
  )

kde4_add_ui_files(k3b_rip_SRCS
  rip/base_k3baudiorippingoptionwidget.ui
  rip/base_k3bcddbpatternwidget.ui
  )

set(k3b_option_SRCS
  option/k3bmiscoptiontab.cpp 
  option/k3bexternalbinoptiontab.cpp 
  option/k3badvancedoptiontab.cpp 
  option/k3boptiondialog.cpp 
  option/k3bdeviceoptiontab.cpp 
  option/k3bnotifyoptiontab.cpp 
  option/k3bpluginoptiontab.cpp 
  option/k3bthemeoptiontab.cpp 
  option/k3bdevicewidget.cpp 
  option/k3bexternalbinwidget.cpp
  option/k3bcddboptiontab.cpp
  )

kde4_add_ui_files(k3b_option_SRCS
  option/base_k3bthemeoptiontab.ui
  option/base_k3bmiscoptiontab.ui
  option/base_k3bpluginoptiontab.ui
  )

set(k3b_misc_SRCS
  misc/k3bimagewritingdialog.cpp 
  misc/k3bmediacopydialog.cpp 
  misc/k3bmediaformattingdialog.cpp
  )

set(k3b_SRCS
  k3bwelcomewidget.cpp 
  k3bapplication.cpp 
  k3bdevicedelegate.cpp
  k3bmediumdelegate.cpp
  k3bmetaitemmodel.cpp
  k3bplacesmodel.cpp
  k3bdiroperator.cpp 
  k3bfiletreeview.cpp 
  k3bprojecttabwidget.cpp 
  k3bsplash.cpp 
  k3bfileview.cpp 
  k3bdirview.cpp 
  k3b.cpp 
  main.cpp 
  k3bstatusbarmanager.cpp 
  k3burlnavigator.cpp
  #k3binterface.cpp 
  #k3bjobinterface.cpp 
  #k3bprojectinterface.cpp 
  #k3bdataprojectinterface.cpp 
  k3bsystemproblemdialog.cpp 
  k3bmediacontentsview.cpp 
  k3bcontentsview.cpp 
  k3bjobprogressdialog.cpp 
  k3bburnprogressdialog.cpp 
  k3btempdirselectionwidget.cpp 
  k3bdatamodewidget.cpp 
  k3bwritingmodewidget.cpp 
  k3bwriterselectionwidget.cpp 
  k3binteractiondialog.cpp 
  k3bthememanager.cpp 
  k3bprojectmanager.cpp 
  #k3baudioprojectinterface.cpp 
  #k3bmixedprojectinterface.cpp 
  k3bflatbutton.cpp 
  k3bemptydiscwaiter.cpp 
  k3bjobprogressosd.cpp 
  k3bdebuggingoutputcache.cpp 
  k3bdebuggingoutputdialog.cpp 
  k3bdebuggingoutputfile.cpp 
  k3bappdevicemanager.cpp 
  k3bmediaselectioncombobox.cpp 
  k3btooltip.cpp 
  k3bwidgetshoweffect.cpp 
  k3bmediaselectiondialog.cpp 
  k3bdiskinfoview.cpp 
  k3bpassivepopup.cpp 
  k3btimeoutwidget.cpp 
  k3bminibutton.cpp 
  k3bthemedheader.cpp 
  k3bthemedlabel.cpp 
  k3blsofwrapper.cpp 
  k3blsofwrapperdialog.cpp 
  k3bservicemenuinstaller.cpp 
  k3bfirstrun.cpp 
  k3baction.cpp
  k3bdevicemenu.cpp
  )

set(k3b_bin_SRCS 
  ${k3b_option_SRCS}
  ${k3b_misc_SRCS}
  ${k3b_project_SRCS}
  ${k3b_kostore_SRCS}
  ${k3b_rip_SRCS}
  ${k3b_SRCS}
)

if(ENABLE_DVD_RIPPING)
  set(k3b_videodvd_SRCS
    rip/videodvd/k3bvideodvdrippingview.cpp 
    rip/videodvd/k3bvideodvdrippingtitlelistview.cpp 
    rip/videodvd/k3bvideodvdrippingjob.cpp 
    rip/videodvd/k3bvideodvdrippingwidget.cpp 
    rip/videodvd/k3bvideodvdrippingdialog.cpp 
    rip/videodvd/k3bvideodvdrippingpreview.cpp
    rip/videodvd/k3bvideodvdtitledelegate.cpp
    rip/videodvd/k3bvideodvdtitlemodel.cpp
    )

  kde4_add_ui_files(k3b_videodvd_SRCS
    rip/videodvd/base_k3bvideodvdrippingwidget.ui)

  set(k3b_bin_SRCS
    ${k3b_bin_SRCS}
    ${k3b_videodvd_SRCS}
    )
endif(ENABLE_DVD_RIPPING)

if(ENABLE_MUSICBRAINZ)
  set(k3b_SRCS
    ${k3b_SRCS}
    k3btrm.cpp 
    k3bmusicbrainz.cpp 
    )
  set(k3b_project_SRCS
    ${k3b_project_SRCS}
    projects/k3bmusicbrainzjob.cpp 
    projects/k3bmusicbrainztrackloopupjob.cpp 
    projects/k3baudiotracktrmlookupdialog.cpp 
    )
endif(ENABLE_MUSICBRAINZ)

#kde4_add_dcop_skels(k3b_SRCS );
MESSAGE(STATUS "DCOP stuff was remove into kde4, convert it to dbus please.kde4_add_dcop_skels macro doesn't exist now. We keep it just to remember to port to dbus")

#k3binterface.h 
#k3bjobinterface.h 
#k3bprojectinterface.h 
#k3bdataprojectinterface.h 
#k3baudioprojectinterface.h 
#k3bmixedprojectinterface.h )

kde4_add_app_icon(k3b_bin_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-k3b.png)

if (MSVC)
    # msvc creates importlibs by default also for executables when symbols are exported.
    # Because the output name of the executable is the same as one of the used library (k3b)  creating 
    # the importlibrary fails with LINK : fatal error LNK1149: output filename matches input filename
    # we worked around this issue by using a different name for the unused import library created by the linker
    string(REPLACE "/implib:<TARGET_IMPLIB>" "/implib:<TARGET_IMPLIB>_" CMAKE_CXX_LINK_EXECUTABLE ${CMAKE_CXX_LINK_EXECUTABLE})
endif (MSVC)

kde4_add_executable(k3b_bin ${k3b_bin_SRCS})

set_target_properties(k3b_bin PROPERTIES OUTPUT_NAME k3b)

target_link_libraries(k3b_bin
  k3bdevice
  k3b
  ${KCDDB_LIBRARIES}
  ${KDE4_KFILE_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KNOTIFYCONFIG_LIBS}
  ${KDE4_KUTILS_LIBS}
  ${KDE4_KDE3SUPPORT_LIBS}
  ${KDE4_SOLID_LIBS}
  ${QT_QTWEBKIT_LIBRARY}
  ${X11_LIBRARIES}
  )

if(ENABLE_MUSICBRAINZ)
  target_link_libraries(k3b_bin ${MUSICBRAINZ_LIBRARIES})
endif(ENABLE_MUSICBRAINZ)

install(TARGETS k3b_bin ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES  k3b.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
#install( FILES  k3b-iso.desktop k3b-cue.desktop DESTINATION ${APPLNK_INSTALL_DIR}/.hidden/ )
install( FILES  k3bui.rc k3bdeviceui.rc k3b.notifyrc tips DESTINATION ${DATA_INSTALL_DIR}/k3b )

=== k3bsetup/worker/CMakeLists.txt ===
########### next target ###############

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${POLKITQT_INCLUDE_DIR}
    ..
)
 
set(K3BSETUPWORKER_INSTALL_DIR ${LIBEXEC_INSTALL_DIR})

qt4_add_dbus_adaptor(
    k3bsetupworker_adaptor_SRCS
    org.k3b.setup.xml
    k3bsetupworker.h
    K3b::Setup::Worker
)

set(k3bsetupworker_SRCS
    main.cpp
    k3bsetupworker.cpp
    ../k3bsetupprogramitem.cpp
)

kde4_add_executable(k3bsetup_worker
    ${k3bsetupworker_SRCS}
    ${k3bsetupworker_adaptor_SRCS}
)

target_link_libraries(k3bsetup_worker
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${POLKITQT_CORE_LIBRARY}
)

dbus_add_activation_system_service(org.k3b.setup.service.in)
install(TARGETS k3bsetup_worker DESTINATION ${K3BSETUPWORKER_INSTALL_DIR})
install(FILES org.k3b.setup.conf DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d)
install(FILES org.k3b.setup.policy DESTINATION ${POLICY_FILES_INSTALL_DIR})
install(FILES org.k3b.setup.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

## k3b 1.91.0~rc2

=== debian/changelog ===
k3b (1.91.0~rc2-0ubuntu3) lucid; urgency=low

  * Revert last upload. The docs are still for KDE3 and are generally crappy

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Apr 2010 21:46:24 -0400

k3b (1.91.0~rc2-0ubuntu2) lucid; urgency=low

  * Install missing docs (LP: #519724)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 02 Apr 2010 13:24:13 -0400

k3b (1.91.0~rc2-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Includes missing translation files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 21 Mar 2010 09:47:00 -0400

k3b (1.90.0~rc1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.4.1 as required, k3b uses KAuth since this version

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 05 Mar 2010 18:46:32 +0100

k3b (1.70.0~beta1+svn1087124-0ubuntu2) lucid; urgency=low

  * Bump Recommends on vcdimager down to Suggests (LP: #526066)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 22 Feb 2010 19:26:35 -0500

k3b (1.70.0~beta1+svn1087124-0ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Do not add build-depend on libdvdread-dev
    - Keep Kubuntu VCS entries
    - Suggest, not recommend libk3b6-extracodecs
    - Keep conflicts/replaces on older k3b versions
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff, the above two patches
      take care of this for us (without string changes, too)
    - Disable 112_dont_require_mp3.diff, it causes the package to FTBFS
    - Keep Kubuntu l10n stuff in debian/rules
  * New upstream svn snapshot:
    - Depend on polkit-kde-1 or policykit-1-gnome instead of
      kdebase-workspace-bin now that K3b Setup has been ported to KAuth which
      uses Polkit-1 (LP: #459058)
    - Remove dependency on libpolkit-qt-dev for the above
    - Drop 114_fix_ftbfs_kfreebsd.diff and 113_add_kfreebsd_support.diff,
      applied upstream
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 08 Feb 2010 16:38:36 -0500

k3b (1.70.0~beta1-2) unstable; urgency=low

  * Fix ftbfs on kFreeBSD:
    - update 113_add_kfreebsd_support.diff patch for libcam link failure.
    - add 114_fix_ftbfs_kfreebsd.diff - stolen upstream.
      the last argument is always required.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Feb 2010 12:46:16 +0100

k3b (1.70.0~beta1-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove patch: 109_disable_firstrun.diff - merged upstream.
  * Update debian/control:
    - remove quilt build dependency.
    - bump debhelper build dependency to 7.4.10.
    - bump Standards-Version to 3.8.4 (no changes needed).
    - split K3b extra themes into a new package (k3b-extrathemes).
  * Update debian/copyright: update years.
  * Update debian/rules: enable parallel build (pass --parallel to dh).
  * Update installed files.

 -- Fathi Boudra <fabo@debian.org>  Mon, 01 Feb 2010 14:53:04 +0100

k3b (1.70.0~beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Remove 109_disable_firstrun.diff, the first run dialog was removed
      entirely by upstream
    - Update kubuntu_02_restricted_install.diff to apply with the new upstream
      release
    - Update .install files
    - Don't install the scalable icons, they aren't really used and just waste
      space.
  * Split out extra k3b themes into a separate k3b-extrathemes package to
    save disk space on the live CD

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 31 Jan 2010 17:55:13 -0500

k3b (1.69.0~alpha4-1ubuntu3) lucid; urgency=low

  * Remove duplicated Replace on k3b-data, should resolve an overwrite error
    on upgrades. (Presumably only the first of the two k3b-data replace
    entries were used, which was by then the wrong one) (LP: #502812)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 04 Jan 2010 08:46:17 -0500

k3b (1.69.0~alpha4-1ubuntu2) lucid; urgency=low

  * Remove libdvdread-dev build-depend, missed this in the merge

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 27 Dec 2009 14:38:44 -0500

k3b (1.69.0~alpha4-1ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes: (LP: #500588)
    - Keep dependency on kdebase-workspace-bin for k3b since it provides
       PolicyKit-KDE
    - Suggest, not recommend, libk3b6-extracodecs
    - Keep k3b-data's and libk3b6's conflicts on older versions of k3b
    - Keep kubuntu_02_restricted_install.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff, the above two patches
      take care of this for us (without string changes, too)
    - Disable 112_dont_require_mp3.diff, it causes the package to FTBFS
    - Keep Kubuntu l10n stuff in debian/rules
    Fixes: LP: #447452, #455268, #462039
  * K3b replaces k3b-data from before the merge
  * Update kubuntu_02_kubuntu_restricted.diff to apply with new alpha

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 27 Dec 2009 10:07:07 -0500

k3b (1.69.0~alpha4-1) experimental; urgency=low

  [ Fathi Boudra ]
  * New upstream release.
    - Remove 107_iso_cue_mimetypes.diff - Merged upstream.
    - Remove 114_new_libmpcdec_api.diff - Merged upstream.

  [ Michael Meskes ]
  * Updated normalize-audio patch to make sure the program is correctly
    recognized. Thanks to Roderick B. Greening. (Closes: #549221)

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Nov 2009 15:16:28 +0100

k3b (1.68.0~alpha3-1) experimental; urgency=low

  * New upstream release.
  * Add 113_add_kfreebsd_support.diff patch. Thanks to Petr Salinger.
    (Closes: #545958)
  * Add 114_new_libmpcdec_api.diff patch:
    - k3b port attempt to the new libmpcdec API.
      Thanks to Yavor Doganov. (Closes: #476379)
  * Refresh 107_iso_cue_mimetypes.diff patch.
  * Update debian/control:


=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.4.10), cmake, pkg-kde-tools (>= 0.5.3),
 kdelibs5-dev (>= 4:4.4.1), libavformat-dev, libflac++-dev,
 libflac-dev, libkcddb-dev, libmad0-dev, libmpcdec-dev, libmusicbrainz4-dev,
 libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
 libvorbis-dev, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
Standards-Version: 3.8.4
Homepage: http://www.k3b.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/k3b/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/k3b/ubuntu

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
 wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage,
 polkit-kde-1 | policykit-1-gnome
Recommends: dvd+rw-tools
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
 libk3b6-extracodecs, vcdimager
Replaces: k3b-data (<< 1.69.0~alpha4)
Description: A sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Conflicts: k3b (<< 1.0.4-4)
Replaces: k3b (<< 1.0.4-4)
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Conflicts: k3b-data (<< 1.70.0~beta1)
Replaces: k3b-data (<< 1.70.0~beta1)
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libk3b6 (= ${binary:Version})
Description: The KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b6
Section: libs
Architecture: any
Conflicts: libk3bcore, libk3bplugin, libk3btools, libk3bproject, k3blibs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libk3b3
Description: The KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b6-extracodecs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-dbg
Section: debug
Architecture: any
Priority: extra
Depends: k3b (= ${binary:Version}), ${misc:Depends}
Description: A sophisticated CD/DVD burning application - debugging symbols
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the debugging symbols associated with k3b. They will
 automatically be used by gdb for debugging k3b-related issues.

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT = extragear-multimedia_k3b

#DEB_CMAKE_CUSTOM_FLAGS += -DK3B_BUILD_K3BSETUP=OFF

%:
	dh --parallel --list-missing --dbg-package=k3b-dbg --with kde $@

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts="uversionmangle=s/alpha/~alpha/" \
http://sf.net/k3b/k3b/([0-9.alpha]+)/k3b-([0-9.alpha]+).tar.bz2

## k3b 2.0.0

=== debian/changelog ===
k3b (2.0.0-0ubuntu1~lucid2) lucid-backports; urgency=low

  * Make k3b-data conflict/replace k3b-i18n. -backports doesn't get its
    binaries mangled for translations

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 12 Jul 2010 12:02:52 -0400

k3b (2.0.0-0ubuntu1~lucid1) lucid-backports; urgency=low

  * Backport to lucid:
    - Bump down pkg-kde-tools build-dep to 0.5.3, no changes required
    - Bump down kdelibs5-dev build-dep to 4.4.2, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 07 Jul 2010 08:55:11 -0400

k3b (2.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 Jun 2010 19:47:27 -0400

k3b (1.93.0~rc4-0ubuntu2) maverick; urgency=low

  * Drop inadvertent debian/patches/debian-changes-1.92.0~rc3-1ubuntu1
    - Thanks to Andreas Wenning for doing the k3b patch review and finding it

 -- Scott Kitterman <scott@kitterman.com>  Thu, 24 Jun 2010 15:49:34 -0400

k3b (1.93.0~rc4-0ubuntu1) maverick; urgency=low

  [ Andreas Wenning ]
  * New upstream release (LP: #595744)
    - Refresh kubuntu_03_no_missing_mp3_warn.diff
    - Rework 102_rename_dvd+rw-tools.diff
    - Refresh and fix 101_rename_normalize.diff
    - Update debian/docs

  [ Rohan Garg ]
  * Merge with Debian unstable, remaining changes:
    - Do not add build-depend on libdvdread-dev
    - Suggest, not recommend libk3b6-extracodecs
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff, the above two patches
      take care of this for us (without string changes, too)
    - Disable 112_dont_require_mp3.diff, it causes the package to FTBFS
    - Keep Kubuntu l10n stuff in debian/rules
    - Don't ship docs, as of 2.0 they are not so good
    - Disable the k3b-i18n package. Rosetta handles the translations since
      k3b is in main, and we aren't shipping docs at the moment for k3b

 -- Andreas Wenning <awen@awen.dk>  Fri, 18 Jun 2010 18:12:24 -0400

k3b (1.92.0~rc3-2) unstable; urgency=low

  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

k3b (1.92.0~rc3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Do not add build-depend on libdvdread-dev
    - Suggest, not recommend libk3b6-extracodecs
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff, the above two patches
      take care of this for us (without string changes, too)
    - Disable 112_dont_require_mp3.diff, it causes the package to FTBFS
    - Keep Kubuntu l10n stuff in debian/rules
    - Don't ship docs, as of 2.0 they are not so good
    - Disable the k3b-i18n package. Rosetta handles the translations since
      k3b is in main, and we aren't shipping docs at the moment for k3b

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 31 May 2010 09:23:36 -0400

k3b (1.92.0~rc3-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 08:38:16 +0300

k3b (1.91.0~rc2-1) unstable; urgency=low

  * New upstream version.
  * Re-enabled k3bsetup.
  * Install all translations into k3b-i18n.

 -- Michael Meskes <meskes@debian.org>  Fri, 07 May 2010 13:18:50 +0200

k3b (1.90.0~rc1-1) unstable; urgency=low

  * New upstream release:
    - Empty Blu-ray medium not detected properly. (Closes: #568035)
    - Cannot edit time values in "Split Audio Track" and "Edit Audio Track"
      dialogs. (Closes: #569839)
  * Merge k3b-i18n package. It doesn't have his own source package anymore.
  * Remove patches:
    - 113_add_kfreebsd_support.diff - merged upstream.
    - 114_fix_ftbfs_kfreebsd.diff - stolen upstream.
  * Update debian/control:
    - bump build dependencies (debhelper and pkg-kde-tools).
    - remove libpolkit-qt-dev build dependency.
  * Update debian/rules:
    - disable k3bsetup to build with kdelibs 4.3.x.

 -- Fathi Boudra <fabo@debian.org>  Fri, 05 Mar 2010 20:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), cmake, pkg-kde-tools (>= 0.5.3),
- kdelibs5-dev (>= 4:4.4.1), libavformat-dev, libflac++-dev,
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.5.3),
+ kdelibs5-dev (>= 4:4.4.2), libavformat-dev, libflac++-dev,
  libflac-dev, libkcddb-dev, libmad0-dev, libmpcdec-dev, libmusicbrainz4-dev,
- libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
+ libsamplerate0-dev, libsndfile1-dev, libtag1-dev, shared-mime-info,
  libvorbis-dev, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
 Standards-Version: 3.8.4
 Homepage: http://www.k3b.org
@@ -23,7 +23,7 @@
 Recommends: dvd+rw-tools
 Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
  libk3b6-extracodecs, vcdimager
-Replaces: k3b-data (<< 1.69.0~alpha4)
+Replaces: k3b-data (<< 1.66.0~alpha2-1)
 Description: A sophisticated CD/DVD burning application
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -31,10 +31,10 @@
  and the reasonable k3b defaults which allow a quick start.
 
 Package: k3b-data
-Conflicts: k3b (<< 1.0.4-4)
-Replaces: k3b (<< 1.0.4-4)
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: k3b-i18n
+Replaces: k3b-i18n
 Description: A sophisticated CD/DVD burning application - data files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -44,7 +44,6 @@
  This package contains the required data files common to all architectures.
 
 Package: k3b-extrathemes
-Conflicts: k3b-data (<< 1.70.0~beta1)
 Replaces: k3b-data (<< 1.70.0~beta1)
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -55,6 +54,18 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains additional themes for K3b.
+
+#Package: k3b-i18n
+#Section: localization
+#Architecture: all
+#Depends: ${misc:Depends}, k3b
+#Description: A sophisticated CD/DVD burning application - localizations files
+# K3b provides a comfortable user interface to perform most CD/DVD burning
+# tasks. While the experienced user can take influence in all steps
+# of the burning process the beginner may find comfort in the automatic settings
+# and the reasonable k3b defaults which allow a quick start.
+# .
+# This package contains translations files.
 
 Package: libk3b-dev
 Section: libdevel
@@ -72,9 +83,7 @@
 Package: libk3b6
 Section: libs
 Architecture: any
-Conflicts: libk3bcore, libk3bplugin, libk3btools, libk3bproject, k3blibs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libk3b3
 Description: The KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://sf.net/k3b k3b-([0-9.rc]+).tar.bz2
